@echo off
rem arguments
set timecolumn1=TIMESTAMP

set out1=%1
shift
set dsn=%1
shift
set user=%1
shift
set pwd=%1
shift
set table1=%1
shift
set propsfile=%1
set logfile=..\log\%propsfile%.log

echo [%date%][%time%] Processing started ...> %logfile%

if %out1% EQU "" (
    echo [%date%][%time%] Failure: Missing argument out1 >> %logfile%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %logfile%
    exit /b 1
)

if %dsn% EQU "" (
    echo [%date%][%time%] Failure: Missing argument dsn >> %logfile%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %logfile%
    exit /b 1
)

if %user% EQU "" (
    echo [%date%][%time%] Failure: Missing argument user >> %logfile%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %logfile%
    exit /b 1
)

if %pwd% EQU "" (
    echo [%date%][%time%] Failure: Missing argument pwd >> %logfile%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %logfile%
    exit /b 1
)

if %propsfile% EQU "" (
    echo [%date%][%time%] Failure: Missing argument propsfile >> %logfile%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %logfile%
    exit /b 1
)

if %table1% EQU "" (
    echo [%date%][%time%] Failure: Missing argument table1 >> %logfile%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %logfile%
    exit /b 1
)

rem ----> convert tablename into uppercase
set table1=%table1:a=A%
set table1=%table1:b=B%
set table1=%table1:c=C%
set table1=%table1:d=D%
set table1=%table1:e=E%
set table1=%table1:f=F%
set table1=%table1:g=G%
set table1=%table1:h=H%
set table1=%table1:i=I%
set table1=%table1:j=J%
set table1=%table1:k=K%
set table1=%table1:l=L%
set table1=%table1:m=M%
set table1=%table1:n=N%
set table1=%table1:o=O%
set table1=%table1:p=P%
set table1=%table1:q=Q%
set table1=%table1:r=R%
set table1=%table1:s=S%
set table1=%table1:t=T%
set table1=%table1:u=U%
set table1=%table1:v=V%
set table1=%table1:w=W%
set table1=%table1:x=X%
set table1=%table1:y=Y%
set table1=%table1:z=Z%
rem <---- convert tablename into uppercase

rem collect
..\bin\odbc-genact.exe -useheaderline -props=%propsfile% %out1% "" "" "" %dsn% %user% %pwd% %table1% %timecolumn1% 1>> %logfile% 2>&1

echo [%date%][%time%] Collect of records finished.>>%logfile%
echo [%date%][%time%] Processing finished. [SUCCESS] >> %logfile%
exit /b 0